FTXUI 6.1.9 C++ functional terminal UI.

Loading...
Searching...
No Matches
Namespaces | Functions
gauge.cpp File Reference

Go to the source code of this file.

## Namespaces
namespace | ftxui
| The FTXUI ftxui:: namespace.

## Functions
Element | gaugeDirection (float progress, Direction direction)
| Draw a high definition progress bar progressing in specified direction.
Element | gaugeRight (float progress)
| Draw a high definition progress bar progressing from left to right.
Element | gaugeLeft (float progress)
| Draw a high definition progress bar progressing from right to left.
Element | gaugeUp (float progress)
| Draw a high definition progress bar progressing from bottom to top.
Element | gaugeDown (float progress)
| Draw a high definition progress bar progressing from top to bottom.
Element | gauge (float progress)
| Draw a high definition progress bar.